# Belge Bildirim Kuralını Getirir

## GET /Notification/{ID}

> SKGB bildirimi kuralını getirir.

```json
{"openapi":"3.0.1","info":{"title":"E-Sigorta Komisyon Gider Belgesi API","version":"v1"},"servers":[{"url":"/einvoice"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"API anahtar� giriniz","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"NotificationResponse":{"type":"object","properties":{"ID":{"type":"integer","format":"int32"},"RuleName":{"type":"string","nullable":true},"IsActive":{"type":"boolean"},"RuleList":{"type":"array","items":{"$ref":"#/components/schemas/NotificationRuleModel"},"nullable":true,"readOnly":true},"ContactList":{"type":"array","items":{"$ref":"#/components/schemas/NotificationContactModel"},"nullable":true,"readOnly":true}},"additionalProperties":false},"NotificationRuleModel":{"type":"object","properties":{"Property":{"$ref":"#/components/schemas/NotificationProperty"},"Operator":{"$ref":"#/components/schemas/NotificatioOperator"},"ValueFirst":{"type":"string","nullable":true},"ValueSecond":{"type":"string","nullable":true}},"additionalProperties":false},"NotificationProperty":{"enum":["DocumentProfile","DocumentType","TaxNumber","PayableAmount","TaxableAmount","AllowanceTotal","SendType"],"type":"string"},"NotificatioOperator":{"enum":["GreaterOrEqual","SmallOrEqual","Equal","NotEqual","Between"],"type":"string"},"NotificationContactModel":{"type":"object","properties":{"NotificationValue":{"type":"string","nullable":true},"NotificationValueType":{"$ref":"#/components/schemas/NotificationValueType"}},"additionalProperties":false},"NotificationValueType":{"enum":["Whatsapp","Sms","Mail"],"type":"string"}}},"paths":{"/Notification/{ID}":{"get":{"tags":["Notification"],"summary":"SKGB bildirimi kuralını getirir.","parameters":[{"name":"ID","in":"path","description":"","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"SKGB bildirimi kuralını getirir.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NotificationResponse"}}}}},"400":{"description":"Geçersiz İstek | Gönderdiğiniz istekte geçersiz veriler bulunduğu anlamında gelmektedir | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#badrequest-400\">tıklayınız</a>"},"403":{"description":"Yetkisiz Erişim | Bu uca erişmek için gerekli yetkiye sahip olmadığınız durumda dönülür"},"404":{"description":"Parametrede belirtilen kayıt bulunamadığında dönülür | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#notfound-404\">tıklayınız</a>"},"422":{"description":"Gönderdiğiniz istek geçerli fakat iş kuralları gereği geçersiz değerler içerdiğinde dönülür | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#unprocessableentity-422\">tıklayınız</a>"}}}}}}
```

{% tabs %}
{% tab title="C#" %}

```csharp
var options = new RestClientOptions("//einsurance/Notification/<integer>")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
request.AddHeader("Accept", "application/json");
request.AddHeader("Authorization", "Bearer {{bearerToken}}");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

{% endtab %}

{% tab title="PHP - cURL" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => '//einsurance/Notification/<integer>',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Accept: application/json',
    'Authorization: Bearer {{bearerToken}}'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

```

{% endtab %}

{% tab title="Node.js - Axios" %}

```javascript
const axios = require('axios');

let config = {
  method: 'get',
  maxBodyLength: Infinity,
  url: '//einsurance/Notification/<integer>',
  headers: { 
    'Accept': 'application/json', 
    'Authorization': 'Bearer {{bearerToken}}'
  }
};

axios.request(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});

```

{% endtab %}
{% endtabs %}
